Page MenuHomePhabricator

"Custom policy" for editing/viewing does not link to details
Closed, ResolvedPublic

Description

E.g. on https://phabricator.wikimedia.org/project/details/974/ - you see "Custom policy" next to "Editable By" and "Joinable By", but you have to look at the history for details.

Event Timeline

Krenair created this task.Dec 23 2014, 12:54 AM
Krenair raised the priority of this task from to Needs Triage.
Krenair updated the task description. (Show Details)
Krenair added a project: Projects.
Krenair added a subscriber: Krenair.
chad added a subscriber: chad.Dec 23 2014, 12:58 AM

We don't have access to said task, feel free to reproduce here (or use screenshots).

If you select "Custom Policy" from the dropdown, the dialog will show the rules in the policy.

(This can/should be made easier to use.)

If I get the original poster correctly:

(The current workaround, in detail.)

chad added a comment.Dec 23 2014, 1:10 AM

I think we can clarify it in both places.

chad triaged this task as Low priority.Dec 23 2014, 1:10 AM
chad edited projects, added Policy, Design; removed Projects.
In T6802#88402, @chad wrote:

We don't have access to said task, feel free to reproduce here (or use screenshots).

Looks like you have to login to see it. :(

Also if you press 'Custom Policy' for visibility below the title of things like Pastes, it doesn't provide a very useful message.

Krenair updated the task description. (Show Details)EditedJun 8 2015, 4:51 PM

And the ability to actually see custom policy details such as the one for our "Can Edit Task Projects" Maniphest application policy please.

devurandom added a subscriber: devurandom.EditedJul 11 2015, 1:26 PM

The visibility of a Space in our Phab instance is using a Custom Policy. When I click the red "Custom Policy" box, I am presented with this text, which does not help me at all:

Users with the "Can View" capability for this object:

    This object has a custom policy controlling who can take this action.

This object has a more restrictive policy ("Custom Policy") than the default policy for similar objects (which is "All Users").

When I search in this Space's history for changed the visibility of this Space from "… (Project)" to "Custom Policy" and click "Custom Policy" there, I am presented with a message box telling me:

Custom Policy

These rules are processed in order:
    Allow members of projects …, …

If no rules match, deny all other users.

The latter is way more useful than the former. Thus I propose to make all instances of "Custom Policy" (at the top of the page, in "Editable by" and everywhere else it appears) a button which links to the latter message box.

andypuettmann added a subscriber: andypuettmann.EditedJul 11 2015, 7:38 PM

this may be covered by the spaces system?

per task policies are hard to manage,
you cannot mass-edit them at all,
so using "spaces" as policy containers looks much more convenient to me.

And having a "space name" is a very clear global definition then. =)
Allowing "subscribers" and something like "members of associated projects" in spaces level could replace the need for custom policies at all.
(Its getting a headache to manage and check all the "custom policy" that may have been made by accident and sort of lock-out the real task relevant teams... like had a user creating a task with "visible" and "editable by" author, was a bit surprised when that guy poked me, "Why does my issue get ignored? seen a few others that reported later, but already got processed" ^^°)

This way "subscriber" + "associated project member" could allow private issues, if you make herald allow issues to be "without a project".

this may be covered by the spaces system?

No.

so using "spaces" as policy containers looks much more convenient to me.

And significantly less flexible/useful

I got somehow bit by this today... I have only handful "custom policies" and those are quite combination of uers/projects/legal documents etc. In current situation I fully agree with @devurandom: Dialog visible upon clicking "custom policy" should be as descriptive as the on in history - it would make it waay more readable and easy-to-use

qgil removed a subscriber: qgil.Oct 7 2015, 3:43 PM
chad renamed this task from "Custom policy" for editing/viewing projects does not link to details to "Custom policy" for editing/viewing does not link to details.Dec 10 2015, 5:46 PM
urzds added a subscriber: urzds.Jan 5 2017, 11:03 AM
epriestley closed this task as Resolved.Thu, Sep 12, 4:03 PM
epriestley claimed this task.

Here's the fate of the various issues discussed here:

"Editable By" on Projects not linked/useful.

This particular element was removed by some earlier change. Other variations of it are now handled better, see below.

Also if you press 'Custom Policy' for visibility below the title of things like Pastes, it doesn't provide a very useful message.
When I click the red "Custom Policy" box, I am presented with this text, which does not help me at all:

This dialog now inlines the custom policy rules after D20805, provided you can see the object:

And the ability to actually see custom policy details such as the one for our "Can Edit Task Projects" Maniphest application policy please.

This specific capability was removed in T13186, but other application policies are now linked after D20804.

See T13411 for more context / related changes / followup.